#### D.6.15.17 separateHNE

Procedure from library `hnoether.lib` (see hnoether_lib).

Usage:
  separateHNE(hne1,hne2); hne1, hne2 lists

Assume:
  hne1, hne2 are HNEs (=output of `develop(f)`, `extdevelop(develop(f),n)`, or one entry in the list `hne` in the ring created by `hnexpansion(f[,"ess"])`.

Return:
  number of quadratic transformations needed to separate both curves (branches).

Example:

    LIB "hnoether.lib";
    int p=printlevel; printlevel=-1;
    ring r=0,(x,y),dp;
    list hne1=develop(x);
    list hne2=develop(x+y);
    list hne3=develop(x+y2);
    separateHNE(hne1,hne2);  // two transversal lines
    ==> 1
    separateHNE(hne1,hne3);  // one quadratic transform. gives 1st example
    ==> 2
    printlevel=p;

See also: develop; displayMultsequence; hnexpansion; multsequence.

User manual for Singular version 4.4.1, 2025, generated by texi2html.